Delete Blueprints
Purpose
To delete one or more Blueprints from your Zoho CRM organization.
Endpoints
- DELETE /settings/blueprints?ids={blueprint_ID1, blueprint_ID2, blueprint_ID3, ..}
- DELETE /settings/blueprints/{blueprint_ID}
Request Details
Request URL
To delete multiple Blueprints by their IDs:
{api-domain}/crm/{version}/settings/blueprints?ids={blueprint_ID1, blueprint_ID2, blueprint_ID3, ..}
To delete a specific Blueprint by its ID:
{api-domain}/crm/{version}/settings/blueprints/{blueprint_ID}
Header
Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
Scope
ZohoCRM.settings.blueprint.ALL
(or)
ZohoCRM.settings.blueprint.DELETE
Parameters
- idsstring, mandatory for deleting multiple Blueprints
Specify the unique IDs of Blueprints that you want to delete.
Sample Request
Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints?ids=5843104000000426851,5843104000000426854"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X DELETENote
- When multiple Blueprint IDs are passed, if some deletions succeed and others fail, the API responds with 207 Multi-Status. Check the status key in each response item to see the result of each deletion.
Possible Errors
- INVALID_DATAHTTP 400
The blueprint ID given seems to be invalid.
Resolution: Specify a valid blueprint ID. - INVALID_REQUEST_METHODHTTP 400
The HTTP request method type is not valid.
Resolution: Specify a valid HTTP method for the API endpoint. - OAUTH_SCOPE_MISMATCHHTTP 401
Unauthorized.
Resolution: The client does not have a valid scope to delete blueprints. Create a token with the required scope. - AUTHENTICATION_FAILUREHTTP 401
Authentication failed.
Resolution: Pass a valid OAuth access token in the request header. - INVALID_URL_PATTERNHTTP 404
The request URL is incorrect.
Resolution: Specify a valid request URL. Refer to the request URL section above. - INTERNAL_ERRORHTTP 500
Internal Server Error.
Resolution: Unexpected and unhandled exception in the server. Contact the support team.
Copied{
"blueprints": [
{
"code": "SUCCESS",
"details": {
"id": "5843104000000426851"
},
"message": "blueprint deleted successfully",
"status": "success"
},
{
"code": "SUCCESS",
"details": {
"id": "5843104000000426854"
},
"message": "blueprint deleted successfully",
"status": "success"
}
]
}